## org.biojava.bio.symbol
Interface Symbol

All Known Subinterfaces:
  AtomicSymbol, CrossProductSymbol, DotState, EmissionState, ModelInState, State

All Known Implementing Classes:
  SimpleSymbol

public interface Symbol
extends Annotatable

A single symbol.

This is the atomic unit of a SymbolList, or a sequence. It allows for fine-train fly-weighting, so that there can be one instance of each symbol that is referenced multiple times.

Author:
  Matthew Pocock

Method Summary
`Alphabet` `getMatches()` The alphabet containing the symbols matched by this ambiguity symbol.
`java.lang.String` `getName()` The long name for the symbol.
`char` `getToken()` The token for the symbol.

Methods inherited from interface org.biojava.bio.Annotatable
`getAnnotation`

Method Detail

### getToken

    public char getToken()

  The token for the symbol.
  Returns:
    the token

### getName

    public java.lang.String getName()

  The long name for the symbol.
  Returns:
    the long name

### getMatches

    public Alphabet getMatches()

  The alphabet containing the symbols matched by this ambiguity symbol.

  This alphabet contains all of, and only, the symbols matched by this symbol. For example, the symbol representing the DNA ambiguity code for W would contain the symbol for A and T from the DNA alphabet.

  Returns:
    the Alphabet of symbols matched by this symbol